Package org.codehaus.janino

# Class Java.AccessModifier

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.AccessModifier

All Implemented Interfaces:
  `Java.Locatable`, `Java.Modifier`

Enclosing class:
  `Java`

public static class Java.AccessModifier extends Java.Located implements Java.Modifier
Representation of the modifier flags and annotations that are associated with a declaration.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`keyword`
`"public"`, `default`, etc.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`AccessModifier(String keyword, Location location)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.ModifierVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.ModifierVisitor` for the concrete `Java.Modifier` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### keyword

public final String keyword
`"public"`, `default`, etc.

## Constructor Details

### AccessModifier

public AccessModifier(String keyword, Location location)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.ModifierVisitor<R,EX> visitor) throws EX
Description copied from interface: `Java.Modifier`
Invokes the "`visit...()`" method of `Visitor.ModifierVisitor` for the concrete `Java.Modifier` type.

Specified by:
  `accept` in interface `Java.Modifier`
Throws:
  `EX`

### toString

public String toString()

Overrides:
  `toString` in class `Object`